Bug 1128331 - systemd-network denials for /run/systemd/netif
Summary: systemd-network denials for /run/systemd/netif
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 06:41 UTC by Dan Callaghan
Modified: 2014-09-23 04:45 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.13.1-79.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:45:17 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2014-08-09 06:41:45 UTC
Description of problem:
I'm using systemd-networkd to manage an Ethernet interface with DHCP.

$ cat /etc/systemd/network/eno1.link 
[Match]
MACAddress=44:39:c4:52:7f:7a 
[Link]
BitsPerSecond=1G
$ cat /etc/systemd/network/eno1.network 
[Match]
Name=eno1
[Network]
Description=Wired network
DHCP=v4

I get the following AVC denials periodically:

type=AVC msg=audit(1407564475.597:107): avc:  denied  { create } for  pid=682 comm="systemd-network" name=".state1yvBnR" scontext=system_u:system_r:systemd_networkd_t:s0 tcontext=system_u:object_r:init_var_run_t:s0 tclass=file
type=AVC msg=audit(1407564475.597:108): avc:  denied  { read write open } for  pid=682 comm="systemd-network" path="/run/systemd/netif/.state1yvBnR" dev="tmpfs" ino=140893 scontext=system_u:system_r:systemd_networkd_t:s0 tcontext=system_u:object_r:init_var_run_t:s0 tclass=file
type=AVC msg=audit(1407564475.597:109): avc:  denied  { setattr } for  pid=682 comm="systemd-network" name=".state1yvBnR" dev="tmpfs" ino=140893 scontext=system_u:system_r:systemd_networkd_t:s0 tcontext=system_u:object_r:init_var_run_t:s0 tclass=file
type=AVC msg=audit(1407564475.597:110): avc:  denied  { getattr } for  pid=682 comm="systemd-network" path="/run/systemd/netif/.state1yvBnR" dev="tmpfs" ino=140893 scontext=system_u:system_r:systemd_networkd_t:s0 tcontext=system_u:object_r:init_var_run_t:s0 tclass=file
type=AVC msg=audit(1407564475.597:111): avc:  denied  { rename } for  pid=682 comm="systemd-network" name=".state1yvBnR" dev="tmpfs" ino=140893 scontext=system_u:system_r:systemd_networkd_t:s0 tcontext=system_u:object_r:init_var_run_t:s0 tclass=file
type=AVC msg=audit(1407564475.597:112): avc:  denied  { unlink } for  pid=682 comm="systemd-network" name="state" dev="tmpfs" ino=78175 scontext=system_u:system_r:systemd_networkd_t:s0 tcontext=system_u:object_r:init_var_run_t:s0 tclass=file

Version-Release number of selected component (if applicable):
selinux-policy-3.13.1-71.fc21.noarch
systemd-215-9.fc21.x86_64

How reproducible:
easily

Steps to Reproduce:
1. Configure systemd-networkd as above

Actual results:
AVC denials

Expected results:
No denials

Comment 1 Miroslav Grepl 2014-09-04 13:37:10 UTC
commit 3645a29b7159d8da56afea608e243b16f7b168df
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Thu Sep 4 15:35:44 2014 +0200

    Add systemd_networkd_var_run_t labeling for /var/run/systemd/netif and allow systemd-networkd to manage it.

Comment 2 Fedora Update System 2014-09-10 09:28:35 UTC
selinux-policy-3.13.1-79.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-79.fc21

Comment 3 Fedora Update System 2014-09-10 16:42:51 UTC
Package selinux-policy-3.13.1-79.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-79.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10624/selinux-policy-3.13.1-79.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-09-23 04:45:17 UTC
selinux-policy-3.13.1-79.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.